//: C01:Autoexcp.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
// Neodopovídající konverze.
#include <iostream>
using namespace std;

class Vyjimka1 {};

class Vyjimka2 {
public:
  Vyjimka2(const Vyjimka1&) {}
};

void f() { throw Vyjimka1(); }

int main() {
  try { f();
  } catch(Vyjimka2&) {
    cout << "uvnitř catch(Vyjimka2)" << endl;
  } catch(Vyjimka1&) {
    cout << "uvnitř catch(Vyjimka1)" << endl;
  }
} ///:~
